<div class="content-body">
    <section *ngIf="isLoading; else notLoadingBlock">
        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-body">
                        <div class="d-flex justify-content-center">
                            <div class="spinner-border text-primary" role="status">
                    
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div> 
    </section>
    <ng-template #notLoadingBlock >
        <div class="progress mb-1">
            <div class="progress-bar progress-bar-striped bg-primary" role="progressbar" attr.style="width: {{getProgression()}}%" attr.aria-valuenow="{{getProgression()}}" aria-valuemin="0" aria-valuemax="100"></div>
          </div>
        <ng-container *ngFor="let formDatas of formDatasList; let i = index; trackBy: trackByFn">
            <div *ngIf="i === activeStepIndex">
                
                <section id="faq-search-filter">
                    <div class="card faq-search" style="background-image: url('assets/app-assets/images/techbynexarise-bg.jpg')">
                        <div class="card-body text-center">
                            <!-- main title -->
                            <h2 class="text-white">{{formDatas['TITLE']}}</h2>

                            <!-- subtitle -->
                            <!-- <p class="card-text mb-2">Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eaque, nobis?</p> -->
                        </div>
                    </div>
                </section>
                <form [formGroup]="masterForm[i]" (ngSubmit)="next()">
                    <formly-form [model]="formDatas['MODEL']" [fields]="formDatas['FORM_CONFIG']" [form]="masterForm[i]"></formly-form>
                </form>
                <button id="nextStepAuth" class="btn btn-outline-primary float-start mt-3" (click)="prev()" [hidden]="projectId!=null && activeStepIndex == 0">
                    <i class="fa-solid fa-arrow-left"></i>
                    <span class="ms-50">Revenir en arrière</span>
                </button>
                
                <div class="float-end mt-3 d-flex justify-content-end">
                    <app-gen-button *ngIf="userData.roleId == allRoles.admin"  text="Terminer" [isLoading]="isSubmitLoading" (click)="finish()" [disabled]="!masterForm[i].valid"></app-gen-button>
                    <app-gen-button  text="Suivant&nbsp;<i class='fa-solid fa-arrow-right'></i>" class="mx-2" [isLoading]="isNextLoading" (click)="next()" [disabled]="!masterForm[i].valid"></app-gen-button>
                </div>
                
            </div>
        </ng-container>
        <ng-container *ngIf="activeStepIndex === formDatasList.length">
            <!-- search header -->
            <section id="faq-search-filter">
                <div class="card faq-search" style="background-image: url('assets/app-assets/images/techbynexarise-bg.jpg')">
                    <div class="card-body text-center">
                        <!-- main title -->
                        <h2 class="text-white">En résumé</h2>
                    </div>
                </div>
            </section>
            <!-- /search header -->

            <!-- frequently asked questions tabs pills -->
            <section id="faq-tabs">
                <!-- vertical tab pill -->
                <div class="row">
                    <div class="col-lg-3 col-md-4 col-sm-12 overflow-auto">
                        <div class="faq-navigation mb-2 mb-md-0">
                            <!-- pill tabs navigation -->
                            <ul class="nav nav-pills nav-left flex-column" role="tablist">
                                <!-- payment -->
                                <li class="nav-item" *ngFor="let formDatas of formDatasList; let i = index; trackBy: trackByFn">
                                    <a class="nav-link {{i==0 ? 'active' : ''}}" id="category-{{i}}" data-bs-toggle="pill" href="#faq-category-{{i}}" aria-expanded="true" role="tab">
                                        <span class="fw-bold">{{formDatas['TITLE']}}</span>
                                    </a>
                                </li>                             

                            </ul>

                            <!-- FAQ image -->
                            <img src="assets/app-assets/images/illustration/faq-illustrations.svg" class="img-fluid d-none d-md-block" alt="demand img" />
                        </div>
                    </div>

                    <div class="col-lg-9 col-md-8 col-sm-12 overflow-auto">
                        <!-- pill tabs tab content -->
                        <div class="tab-content">
                            <div role="tabpanel" *ngFor="let formDatas of formDatasList; let i = index; trackBy: trackByFn" class="tab-pane {{i==0 ? 'active' : ''}}" id="faq-category-{{i}}" attr.aria-labelledby="category-{{i}}" aria-expanded="true">
                                <!-- icon and header -->
                                <div class="d-flex align-items-center">
                                    <div>
                                        <h4 class="mb-0">{{formDatas['TITLE']}}</h4>
                                    </div>
                                </div>
    
                                <!-- frequent answer and question  collapse  -->
                                <div class="accordion accordion-margin mt-2" id="faq-category-{{i}}-accordion">
                                    <div class="card accordion-item" *ngFor="let field of formDatas['FORM_CONFIG'];let iField = index; trackBy: trackByFn">
                                        <h2 class="accordion-header" id="#faq-category-{{i}}-field-{{iField}}-title">
                                            <button class="accordion-button collapsed" data-bs-toggle="collapse" role="button" attr.data-bs-target="#faq-category-{{i}}-field-{{iField}}" aria-expanded="false" attr.aria-controls="faq-category-{{i}}-field-{{iField}}">
                                               {{field.templateOptions?.label}}
                                            </button>
                                        </h2>
    
                                        <div id="faq-category-{{i}}-field-{{iField}}" class="collapse accordion-collapse" attr.aria-labelledby="#faq-category-{{i}}-field-{{iField}}-title" attr.data-bs-parent="#faq-category-{{i}}-accordion">
                                            <div class="accordion-body" *ngIf="field.key !=null ">
                                                <span class="text-red" *ngIf="formDatas['MODEL'][field.key.toString()] == '' || formDatas['MODEL'][field.key.toString()] == null">
                                                    Non défini
                                                </span>
                                                <ng-container *ngIf="field.type=='file'">
                                                    <div *ngFor="let fileObject of formDatas['MODEL'][field.key.toString()];let iFilePath = index; trackBy: trackByFn">
                                                        <!-- Fichier n° {{iFilePath + 1}} -->
                                                        
                                                        <button *ngIf="fileObject.chemin; else directFileDownload" class="btn btn-primary mt-1" (click)="downloadFile(fileObject.chemin, fileObject.nom)">
                                                            {{fileObject.nom}}
                                                            <i class="fa-solid fa-download"></i>
                                                        </button>
                                                        <ng-template #directFileDownload>
                                                            <button class="btn btn-primary mt-1" (click)="downloadFileObject(fileObject)">
                                                                {{fileObject.name}}
                                                                <i class="fa-solid fa-download"></i>
                                                            </button>
                                                        </ng-template>
                                                    </div>
                                                </ng-container>
                                                <ng-container *ngIf="field.type!='file'">
                                                    {{formDatas['MODEL'][field.key.toString()]}}
                                                </ng-container>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </section>
            <!-- / frequently asked questions tabs pills -->
            <button id="nextStepAuth" class="btn btn-outline-primary float-start mt-3" (click)="prev()">
                <i class="fa-solid fa-arrow-left"></i>
                <span class="ms-50">Revenir en arrière</span>
            </button>
            <app-gen-button  text="{{projectId!=null?'Enregistrer les modifications':'Terminer'}}" customClass="float-end mt-3"  [isLoading]="isSubmitLoading" (click)="next()"></app-gen-button>
                
        </ng-container>
    </ng-template>
</div>